Name:		lingot
Version:	0.9.1
Release:	9%{?dist}
Summary:	A musical instruments tuner

Group:		Applications/Multimedia
License:	GPLv2+
URL:		http://www.nongnu.org/lingot/
Source0:	http://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.gz
Patch0:		lingot-0.9.1-format-security.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:	alsa-lib-devel desktop-file-utils gettext intltool
BuildRequires:	jack-audio-connection-kit-devel libglade2-devel

%description
LINGOT is a musical instrument tuner. It's accurate, easy to use, and highly
configurable. Originally conceived to tune electric guitars, its
configurability gives it a more general character.


%prep
%setup -q
%patch0 -p1


%build
%configure
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
# remove the EXTRA_DIST files; most of them is included in %%doc anyway
rm -rf %{buildroot}/%{_defaultdocdir}/%{name}
%find_lang %{name}
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README THANKS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}/
%{_datadir}/%{name}/glade/


%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Aug 08 2014 Yaakov Selkowitz <yselkowi@redhat.com> - 0.9.1-8
- Fix FTBFS with -Werror=format-security (#1037177, #1106098)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.9.1-2
- Rebuild for new libpng

* Tue Aug 23 2011 Karel Volný <kvolny at redhat dot com> 0.9.1-1
- New version 0.9.1
-  Fixed bug #33046: Lingot fails to compile with libjack-dev version < 2
-   (removed lingot-0.9.0-jackportisactive.patch)
-  Fixed bug #34007: JACK support broken in lingot 0.9.0
-  Added 48K sample rate to OSS and ALSA.

* Fri Jun 24 2011 Karel Volný <kvolny at redhat dot com> 0.9.0-1
- New version 0.9.0
- Support for different scales
- Backported patch for newer JACK (hg rev 243:749df5080742)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Mar 18 2010 Karel Volný <kvolny at redhat dot com> 0.8.1-1
- New version 0.8.1
- Fixes missing linker flags, a crash and a hang

* Sat Mar 06 2010 Karel Volný <kvolny at redhat dot com> 0.8.0-1
- New version 0.8.0
- Native ALSA support, alsa-oss no longer needed
- JACK support
- Removed Requires gtk2 WRT bug #517970

* Tue Aug 18 2009 Karel Volný <kvolny at redhat dot com> 0.7.6-1
- Initial Fedora release.
